Forum: Ruby on Rails upgrading to 2.3

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
5fc3428127f9bf92b1d03f9694617e10?d=identicon&s=25 ih (Guest)
on 2009-05-01 16:25
(Received via mailing list)
I'm having trouble upgrading my app from rails 2.2.2 to 2.3.2.  I've
successfully installed the 2.3.2 gem (when I type 'rails -v' i get
"Rails 2.3.2") and I've changed the environment.rb file to use 2.3.2,
but 'rake rails:update' doesn't seem to do anything and when I try to
run script/about  it says rails 2.2.2 is being used.  I have also used
'rake rails:unfreeze'.  I'm not sure what else to try so any
suggestions are welcome. Thanks in advance.
5f94b9b346c2aa648a80bc259978e5bc?d=identicon&s=25 Colin Law (Guest)
on 2009-05-01 17:23
(Received via mailing list)
Check there is not a rails folder in vendor. If there is, delete it.

2009/5/1 ih <irvin.hwang@gmail.com>
5fc3428127f9bf92b1d03f9694617e10?d=identicon&s=25 ih (Guest)
on 2009-05-01 17:30
(Received via mailing list)
That worked, thanks.  I thought unfreeze was doing it, but I did not
check and it turns out I needed to have super user permission.
054ea2f04b5592b91f8223796cc53979?d=identicon&s=25 Brendon Whateley (brendon)
on 2009-05-02 02:10
(Received via mailing list)
Sounds like you did the freeze as root.  That's not a very good idea.
This topic is locked and can not be replied to.